# Jobs_List

List jobs by Company ID.

`GET /v1/companies/{company}/Jobs`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Jobs
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Jobs/Jobs_List/

## Description

Retrieve a list of all TTE configurations available for a specific company. This list can be narrowed further by searching based on the `parentTTEId` and/or the `TTEName`.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `productType` | string | query | No | Product Type (default is retail) |
| `configurationId` | string | query | No | Configuration ID (TTE ID) to filter jobs. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Jobs" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```